package com.kingdee.eas.custom.interfacelog.businessoperationlog;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.framework.CoreBillBase;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.interfacelog.businessoperationlog.app.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class OperateLog extends CoreBillBase implements IOperateLog
{
    public OperateLog()
    {
        super();
        registerInterface(IOperateLog.class, this);
    }
    public OperateLog(Context ctx)
    {
        super(ctx);
        registerInterface(IOperateLog.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("6CD8A9F3");
    }
    private OperateLogController getController() throws BOSException
    {
        return (OperateLogController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public OperateLogCollection getOperateLogCollection() throws BOSException
    {
        try {
            return getController().getOperateLogCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public OperateLogCollection getOperateLogCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getOperateLogCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public OperateLogCollection getOperateLogCollection(String oql) throws BOSException
    {
        try {
            return getController().getOperateLogCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public OperateLogInfo getOperateLogInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getOperateLogInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public OperateLogInfo getOperateLogInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getOperateLogInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public OperateLogInfo getOperateLogInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getOperateLogInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}